org.apache.ignite.internal.processors.cache.persistence

## Class CleanCacheStoresMaintenanceAction

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.CleanCacheStoresMaintenanceAction

All Implemented Interfaces:
  MaintenanceAction<Void>

    public class CleanCacheStoresMaintenanceAction
    extends Object
    implements MaintenanceAction<Void>

### Field Summary

Fields
`static String` `ACTION_NAME`

### Constructor Summary

Constructors
Constructor and Description
`CleanCacheStoresMaintenanceAction(File rootStoreDir, String[] cacheStoreDirs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable String` `description()`
`Void` `execute()` Executes operations of current maintenance action.
`@NotNull String` `name()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ACTION_NAME

    public static final String ACTION_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### CleanCacheStoresMaintenanceAction

    public CleanCacheStoresMaintenanceAction(File rootStoreDir,
                                             String[] cacheStoreDirs)

Parameters:
  `rootStoreDir` -
  `cacheStoreDirs` -

### Method Detail

#### execute

    public Void execute()

Executes operations of current maintenance action.

Specified by:
  `execute` in interface `MaintenanceAction<Void>`
Returns:
  Result of the maintenance action.

#### name

    @NotNull
    public @NotNull String name()

Specified by:
  `name` in interface `MaintenanceAction<Void>`
Returns:
  Mandatory human-readable name of maintenance action. All actions of single `MaintenanceWorkflowCallback` should have unique names.

#### description

    @Nullable
    public @Nullable String description()

Specified by:
  `description` in interface `MaintenanceAction<Void>`
Returns:
  Optional user-readable description of maintenance action.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023